### Function

# AppStream utils_build_data_id

since: 0.14.0

#### Declaration [src]

    gchar*
    as_utils_build_data_id (
      AsComponentScope scope,
      AsBundleKind bundle_kind,
      const gchar* origin,
      const gchar* cid,
      const gchar* branch
    )

#### Description [src]

Builds an identifier string unique to the individual dataset using the supplied information.

Available since: 0.14.0

#### Parameters

`scope`

  Type: `AsComponentScope`

  Scope of the metadata as `AsComponentScope` e.g. `AS_COMPONENT_SCOPE_SYSTEM`.

`bundle_kind`

  Type: `AsBundleKind`

  Bundling system providing this data, e.g. ‘package’ or ‘flatpak’.

`origin`

  Type: `const gchar*`

  Origin string, e.g. ‘os’ or ‘gnome-apps-nightly’.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cid`

  Type: `const gchar*`

  AppStream component ID, e.g. ‘org.freedesktop.appstream.cli’.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`branch`

  Type: `const gchar*`

  Branch, e.g. ‘3-20’ or ‘master’.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.